Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.seq
Class RichFeature.Tools

    java.lang.Object
      org.biojavax.bio.seq.RichFeature.Tools

Enclosing interface:
  RichFeature

    public static class RichFeature.Tools

extends Object

Some useful tools for working with features.

Method Summary
`static RichFeature` | `enrich(Feature f)` Takes a normal Feature and attempts to convert it into a RichFeature.
`static RichFeature` | `makeEmptyFeature()` A way to make a dummy feature

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### enrich

    public static RichFeature enrich(Feature f)
                              throws ChangeVetoException

  Takes a normal Feature and attempts to convert it into a RichFeature.

  Parameters:
    `f` - the Feature to enrich.
  Returns:
    the RichFeature equivalent.
  Throws:
    `ChangeVetoException` - if any of the terms from the feature were not convertible.

### makeEmptyFeature

    public static RichFeature makeEmptyFeature()

  A way to make a dummy feature

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD